%global srcname pipdeptree
%bcond_with graphviz

Name:           python-%{srcname}
Version:        2.16.1
Release:        1%{?dist}
Summary:        Command line utility to show dependency tree of packages

License:        MIT
URL:            https://github.com/naiquevin/pipdeptree
Source0:        https://github.com/naiquevin/pipdeptree/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel pyproject-rpm-macros python3-virtualenv python3-pytest-mock
BuildRequires: python3dist(hatch-vcs) python3dist(hatchling)

%description
pipdeptree is a command line utility for displaying the installed python\
packages in form of a dependency tree. It works for packages installed\
globally on a machine as well as in a virtualenv.

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
pipdeptree is a command line utility for displaying the installed python\
packages in form of a dependency tree. It works for packages installed\
globally on a machine as well as in a virtualenv.

%if %{with graphviz}
%package -n     python3-pipdeptree+graphviz
Summary:        %{summary}

%description -n python3-%{srcname}+graphviz
pipdeptree is a command line utility for displaying the installed python\
packages in form of a dependency tree. It works for packages installed\
globally on a machine as well as in a virtualenv.
%endif

%prep
%autosetup -n %{srcname}-%{version}
sed -i "/diff-cover/d;/covdefaults/d;/pytest-cov/d" pyproject.toml
sed -i 's/"virtualenv.*",/"virtualenv",/' pyproject.toml
sed -i 's/"graphviz.*",/"graphviz",/' pyproject.toml

%if %{without graphviz}
rm tests/render/test_graphviz.py
%endif

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%if %{with graphviz}
%pyproject_buildrequires -x test,graphviz
%else
%pyproject_buildrequires -x test
%endif

%build
export SETUPTOOLS_SCM_PRETEND_VERSION="%{version}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

rm %{buildroot}/%{python3_sitelib}/%{srcname}-%{version}.dist-info/licenses/LICENSE

%check
%pytest -k "not test_console"

%files -n python3-%{srcname} -f %pyproject_files
%license LICENSE
%doc README.md
%{_bindir}/pipdeptree

%if %{with graphviz}
%files -n python3-%{srcname}+graphviz
%{python3_sitelib}/%{srcname}-%{version}.dist-info/
%endif

%changelog
* Sun Feb 18 2024 cunshunxia <cunshunxia@tencent.com> - 2.13.1-1
- initial build.
